#!/bin/sh
# run this script once a day at 23.59 or so.  
# before daily run and batchip run on hour

WEBDIR=/usr/local/apache/htdocs/ourmon

# roll files back one slot 
# 6 to 7, 5 to 6 etc.

cd $WEBDIR

for i in 7 6 5 4 3 2 1 
do
	A=`expr $i - 1`
	cp topn.$A.txt topn.$i.txt
	cp topn_ipdst.$A.txt topn_ipdst.$i.txt
	cp topn_ipsrc.$A.txt topn_ipsrc.$i.txt
	cp topicmp.$A.txt topicmp.$i.txt
	cp topicmp_ipdst.$A.txt topicmp_ipdst.$i.txt
	cp topicmp_ipsrc.$A.txt topicmp_ipsrc.$i.txt
	cp topudp.$A.txt topudp.$i.txt
	cp topudp_ipdst.$A.txt topudp_ipdst.$i.txt
	cp topudp_ipsrc.$A.txt topudp_ipsrc.$i.txt
	cp topsyn.$A.txt topsyn.$i.txt
	cp psuworm.$A.txt psuworm.$i.txt
	cp allworm.$A.txt allworm.$i.txt
	cp event.$A.txt event.$i.txt
	cp newportsig.$A.txt newportsig.$i.txt
	cp ircreport.$A.txt ircreport.$i.txt

	cp wormsum.all.$A.txt wormsum.all.$i.txt
	cp wormsum.445.$A.txt wormsum.445.$i.txt
	cp wormsum.40w.$A.txt wormsum.40w.$i.txt
	cp p2psum.$A.txt p2psum.$i.txt

done

# deal with current day rolled over to previous day
cp topn_today.txt topn.0.txt
cp topn_ipdst_today.txt topn_ipdst.0.txt
cp topn_ipsrc_today.txt topn_ipsrc.0.txt

cp topicmp_today.txt topicmp.0.txt
cp topicmp_ipdst_today.txt topicmp_ipdst.0.txt
cp topicmp_ipsrc_today.txt topicmp_ipsrc.0.txt

cp topudp_today.txt topudp.0.txt
cp topudp_ipdst_today.txt topudp_ipdst.0.txt
cp topudp_ipsrc_today.txt topudp_ipsrc.0.txt

cp topsyn_today.txt topsyn.0.txt

cp psuworm_today.txt psuworm.0.txt
cp allworm_today.txt allworm.0.txt

mv event_today.txt event.0.txt
echo "event file restarted" > event_today.txt

mv newportsig_today.txt newportsigevent.0.txt
echo "portsig file restarted" > newportsig_today.txt

cp ircreport_today.txt ircreport.0.txt
echo "ircreport file restarted" > ircreport_today.txt

cp wormsum.all_daily.txt wormsum.all.0.txt
echo "worm/syntuple all report file restarted" > wormsum.all_daily.txt

cp wormsum.445_daily.txt wormsum.445.0.txt
echo "port 445 syntuple sum report file restarted" > wormsum.445_daily.txt

cp wormsum.40w_daily.txt wormsum.40w.0.txt
echo "local net weight >= 40 worm sum report file restarted" > wormsum.40w_daily.txt

cp p2psum.daily.txt p2psum.0.txt
echo "local net p2p syntuple sum report file restarted" > p2psum.daily.txt
